import { autoinject } from "aurelia-framework";
import { AbstractHubClient } from './abstract-hub-client';

@autoinject
export class BreezeSyncHubClient extends AbstractHubClient {

  protected get endpoint(): string {
    return '/breezeSyncHub';
  }

  public onDeleted(listener: (entities: BreezeDeletedSignal[]) => void) {
    return this.subscribe('onDeleted', listener);
  }
}

export interface BreezeDeletedSignal {
  EntityName: string;
  Id: any[];
}